<template>
  <div class="skm-breadcrumb" :class="themeClasses">
    <div class="breadcrumb-list container m-container-no-gutter">
      <router-link to="/" class="breadcrumb-item">
        {{ $t("breadcrumb.root") }}
      </router-link>

      <template v-if="isPreorderTutorialPage">
        <i class="ic-sm-arrow"></i>
        <div class="breadcrumb-item">
          {{ $t("preorderTutorial.breadcrumb") }}
        </div>
      </template>

      <template v-if="groupId">
        <i class="ic-sm-arrow"></i>
        <router-link
          :to="{ name: 'Group', params: { id: groupId } }"
          class="breadcrumb-item"
          tag="a"
          >{{ $t(`group.${groupId}`) }}</router-link
        >
      </template>

      <!-- <template v-if="restaurant && restaurant.buildingName && restaurant.buildingName !== $t(`group.${groupId}`)">
        <i class="ic-sm-arrow"></i>
        <div class="breadcrumb-item">{{ restaurant.buildingName }}</div>
      </template> -->

      <!-- <template v-if="isRestaurantWaitingStatusPage">
        <i class="ic-sm-arrow"></i>
        <router-link
          :to="{ name: 'Group', params: { id: groupId } }"
          class="breadcrumb-item"
          tag="a"
          >{{ $t("breadcrumb.waitingStatus") }}</router-link
        >
      </template> -->

      <!-- <template v-if="isRestaurantBookingPage">
        <i class="ic-sm-arrow"></i>
        <router-link
          :to="{ name: 'Group', params: { id: groupId } }"
          class="breadcrumb-item"
          tag="a"
          >{{ $t("breadcrumb.reservation") }}</router-link
        >
      </template> -->

      <!-- <template v-if="isRestaurantPreorderPage">
        <i class="ic-sm-arrow"></i>
        <router-link
          :to="{ name: 'GroupPreorder', params: { id: groupId } }"
          class="breadcrumb-item"
          tag="a"
          >{{ $t("breadcrumb.takeout") }}</router-link
        >
      </template> -->

      <template
        v-if="
          restaurant &&
            restaurant.company &&
            restaurant.company.name &&
            !isPreorderRecordsPage &&
            !isReservationRecordPage
        "
      >
        <i class="ic-sm-arrow"></i>
        <router-link
          v-if="isPreorderRecordPage"
          :to="{
            name: 'RestaurantPreorder',
            params: {
              groupId: restaurant.groupId,
              companyId: restaurant.companyId,
              id: restaurant.id
            }
          }"
          class="breadcrumb-item"
          tag="a"
        >
          {{ restaurant.company.name }}
        </router-link>
        <div v-else class="breadcrumb-item text-only">
          {{ restaurant.company.name }}
        </div>
      </template>

      <template v-if="isReservationRecordPage">
        <i class="ic-sm-arrow"></i>
        <div class="breadcrumb-item">{{ $t("records.breadcrumb") }}</div>
      </template>

      <template v-if="isPreorderRecordPage">
        <i class="ic-sm-arrow"></i>
        <router-link
          :to="{ name: 'PreorderRecords' }"
          class="breadcrumb-item"
          tag="a"
        >
          {{ $t("breadcrumb.preorderRecords") }}
        </router-link>
      </template>

      <template v-if="isPreorderRecordsPage">
        <i class="ic-sm-arrow"></i>
        <div class="breadcrumb-item" @click="updateUpdatedTime">
          {{ $t("breadcrumb.preorderRecords") }}
        </div>
      </template>
    </div>
  </div>
</template>
<script>
import { mapState, mapGetters, mapActions } from "vuex";
export default {
  computed: {
    ...mapState("restaurant", ["restaurant"]),
    ...mapGetters("theme", ["themeClasses"]),
    groupId() {
      return this.$route.params.groupId;
    },
    // isRestaurantWaitingStatusPage() {
    //   return this.$route.name === "Restaurant";
    // },
    isRestaurantBookingPage() {
      return this.$route.name === "RestaurantBooking";
    },
    isRestaurantPreorderPage() {
      return this.$route.name === "RestaurantPreorder";
    },
    isReservationRecordPage() {
      return this.$route.name === "ReservationRecords";
    },
    isPreorderRecordPage() {
      return this.$route.name === "PreorderRecord";
    },
    isPreorderRecordsPage() {
      return this.$route.name === "PreorderRecords";
    },
    isPreorderTutorialPage() {
      return this.$route.name === "PreorderTutorial";
    }
  },
  methods: {
    ...mapActions("routes", ["updateUpdatedTime"])
  }
};
</script>
<style lang="scss" scoped>
.skm-breadcrumb {
  background-color: $color-genesis-white;

  @include media-breakpoint-up(md) {
    box-shadow: inset 0 -0.5px 0 0 $color-silver-grey;
  }

  &.theme-vip-member {
    background-color: $color-skm-gold;
  }
}

.breadcrumb-list {
  height: 38px;
  padding: 0 20px;
  display: flex;
  align-items: center;
  font-size: 12px;
  @include media-breakpoint-up(md) {
    padding: 0 12px;
  }
}

.ic-sm-arrow {
  position: relative;
  display: block;
  width: 15px;

  &:before {
    position: absolute;
    transform: translate(-50%, -50%) rotate(-90deg);
    font-size: 8px;
    top: 50%;
    left: 50%;
    font-size: 8px;
  }

  @include media-breakpoint-up(md) {
    width: 20px;
  }
}

.theme-vip-member .ic-sm-arrow {
  color: $color-white;
}

.breadcrumb-item {
  transition: all 0.3s;
  color: $color-secondary-black;
  cursor: pointer;
  &.text-only {
    cursor: default;
  }
}

.theme-vip-member .breadcrumb-item {
  color: $color-white;
}
</style>
